## xfce4-pulseaudio-plugin 0.4.2-1~18.04mint1

=== debian/changelog ===
xfce4-pulseaudio-plugin (0.4.2-1~18.04mint1) tricia; urgency=medium

  * Fix applet size

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 13:34:24 +0000

xfce4-pulseaudio-plugin (0.4.2-1~18.04) bionic; urgency=medium

  * No-change backport to bionic

 -- Unit 193 <unit193@ubuntu.com>  Wed, 28 Aug 2019 23:31:27 -0400

xfce4-pulseaudio-plugin (0.4.2-1) unstable; urgency=medium

  * New upstream version 0.4.2
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 11.
  * d/control: Drop Build-Depends on autoconf, automake, and libtool.
  * d/control, d/copyright: Use https where possible.
  * d/control, d/rules: Enable wnck support.
  * d/copyright: Update attribution.
  * d/rules:
    - Drop manual autoreconf and --disable-silent-rules as they are default.
    - Drop dh_installchangelogs override.
  * Remove trailing whitespace from previous changelog entries.
  * Update Standards-Version to 4.4.0.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 23 Aug 2019 02:50:21 -0400

=== debian/control ===
Source: xfce4-pulseaudio-plugin
Section: xfce
Priority: optional
Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Unit 193 <unit193@ubuntu.com>,
           Sean Davis <smd.seandavis@gmail.com>
Build-Depends: debhelper-compat (= 11),
               dh-autoreconf,
               intltool,
               libdbus-glib-1-dev,
               libexo-1-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libwnck-3-dev,
               libkeybinder-3.0-dev,
               libnotify-dev,
               libpulse-dev,
               libxfce4panel-2.0-dev,
               libxfce4ui-2-dev,
               libxfce4util-dev,
               libxfconf-0-dev,
               xfce4-dev-tools
Standards-Version: 4.4.0
Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-pulseaudio-plugin
Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-pulseaudio-plugin
Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-pulseaudio-plugin.git

Package: xfce4-pulseaudio-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: pavucontrol, pulseaudio
Description: Xfce4 panel plugin to control pulseaudio
 Xfce4 panel plugin icon to control Pulseaudio. You can use this applet to
 control your Pulseaudio volume levels with the media keys or using the
 scrollwheel. You can also open a Pulseaudio mixer via the plugin.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	xdt-autogen
	dh_auto_configure -- \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--enable-keybinder \
		--enable-libnotify \
		--enable-wnck

override_dh_auto_install:
	dh_auto_install
	find debian/xfce4-pulseaudio-plugin -name '*.la' -delete

override_dh_makeshlibs:
	dh_makeshlibs -X debian/xfce4-pulseaudio-plugin/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins/lib*-plugin.so

## xfce4-pulseaudio-plugin 0.4.3

=== debian/changelog ===
xfce4-pulseaudio-plugin (0.4.3-0ubuntu1) devel; urgency=medium

  * New upstream release.
  * d/control:
    - Update Build-Depend, libexo-1-dev → libexo-2-dev.
    - Drop libdbus-glib-1-dev from Build-Depends.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 29 Mar 2020 20:14:53 -0400

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: xfce4-pulseaudio-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Unit 193 <unit193@ubuntu.com>,
            Sean Davis <smd.seandavis@gmail.com>
 Build-Depends: debhelper-compat (= 11),
-               dh-autoreconf,
                intltool,
-               libdbus-glib-1-dev,
-               libexo-1-dev,
+               libexo-2-dev,
                libglib2.0-dev,
                libgtk-3-dev,
                libwnck-3-dev,

=== debian/rules ===
--- 
+++ 
@@ -7,10 +7,9 @@
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-O1 -Wl,-z,defs
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
-	xdt-autogen
 	dh_auto_configure -- \
 		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
 		--enable-keybinder \

## xfce4-pulseaudio-plugin 0.4.4

=== debian/changelog ===
xfce4-pulseaudio-plugin (0.4.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ Unit 193 ]
  * New upstream version 0.4.4.
  * d/control, d/copyright: Update emails and attribution.
  * d/docs: Follow rename, README → README.md.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Fri, 02 Sep 2022 20:17:25 -0400

xfce4-pulseaudio-plugin (0.4.3-1) unstable; urgency=medium

  * d/watch:
    - Update for upstream's move to mirrorbit.
    - Use uscan special strings.
  * New upstream version 0.4.3
  * d/control:
    - Update Build-Depend, libexo-1-dev → libexo-2-dev.
    - Drop libdbus-glib-1-dev from Build-Depends.
    - Bump DH compat to 12.
    - Update homepage, goodies.xfce → docs.xfce.
    - R³: no.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@ubuntu.com>  Fri, 03 Apr 2020 00:00:25 -0400

## xfce4-pulseaudio-plugin 0.4.5

=== debian/changelog ===
xfce4-pulseaudio-plugin (0.4.5-1~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Fri, 16 Dec 2022 01:19:17 -0500

xfce4-pulseaudio-plugin (0.4.5-1) unstable; urgency=medium

  [ Akbarkhon Variskhanov ]
  * Update upstream metadata

  [ Unit 193 ]
  * New upstream version 0.4.5.
    - Use Source Output Info for recording indicator to reduce flickering
      (#81) and to hide it with pavucontrol (#80) (Closes: #1019420)

 -- Unit 193 <unit193@debian.org>  Fri, 30 Sep 2022 23:53:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: xfce4-pulseaudio-plugin
 Section: xfce
 Priority: optional
-Maintainer: Xubuntu Developers <xubuntu-devel@lists.ubuntu.com>
+Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
-           Unit 193 <unit193@ubuntu.com>,
-           Sean Davis <smd.seandavis@gmail.com>
-Build-Depends: debhelper-compat (= 11),
+           Unit 193 <unit193@debian.org>,
+           Sean Davis <sean@bluesabre.org>
+Build-Depends: debhelper-compat (= 13),
                intltool,
                libexo-2-dev,
                libglib2.0-dev,
@@ -20,8 +20,9 @@
                libxfce4util-dev,
                libxfconf-0-dev,
                xfce4-dev-tools
-Standards-Version: 4.4.0
-Homepage: https://goodies.xfce.org/projects/panel-plugins/xfce4-pulseaudio-plugin
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
+Homepage: https://docs.xfce.org/panel-plugins/xfce4-pulseaudio-plugin
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-pulseaudio-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-pulseaudio-plugin.git

## xfce4-pulseaudio-plugin 0.4.7

=== debian/changelog ===
xfce4-pulseaudio-plugin (0.4.7-1) unstable; urgency=medium

  * New upstream version 0.4.7.
    - Subscribe NameOwnerChanged to watch MPRIS changes instead of timer.
      Closes: #995366
  * d/rules:
    - Use execute_after_auto_install instead of override_dh_auto_install.
  * d/docs, d/rules: Opt-out of trimmed changelogs, install NEWS as changelog.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Thu, 15 Jun 2023 05:21:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-pulseaudio-plugin
 Section: xfce
 Priority: optional
-Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Unit 193 <unit193@debian.org>,
            Sean Davis <sean@bluesabre.org>
@@ -21,7 +20,7 @@
                libxfconf-0-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://docs.xfce.org/panel-plugins/xfce4-pulseaudio-plugin
 Vcs-Browser: https://salsa.debian.org/xfce-team/goodies/xfce4-pulseaudio-plugin
 Vcs-Git: https://salsa.debian.org/xfce-team/goodies/xfce4-pulseaudio-plugin.git

## xfce4-pulseaudio-plugin 0.4.8

=== debian/changelog ===
xfce4-pulseaudio-plugin (0.4.8-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:30:13 +0000

xfce4-pulseaudio-plugin (0.4.8-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:13:10 +0000

xfce4-pulseaudio-plugin (0.4.8-1) unstable; urgency=medium

  * New upstream version 0.4.8

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 01 Oct 2023 23:36:44 +0200

xfce4-pulseaudio-plugin (0.4.7-2) unstable; urgency=medium

  * d/control: add pipewire-pulse as alternate recommends for pulseaudio
    (Closes: #1049418)

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 13 Sep 2023 22:22:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: xfce4-pulseaudio-plugin
 Section: xfce
 Priority: optional
-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Unit 193 <unit193@debian.org>,
            Sean Davis <sean@bluesabre.org>
@@ -30,7 +31,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: pavucontrol, pulseaudio
+Recommends: pavucontrol, pulseaudio | pipewire-pulse
 Description: Xfce4 panel plugin to control pulseaudio
  Xfce4 panel plugin icon to control Pulseaudio. You can use this applet to
  control your Pulseaudio volume levels with the media keys or using the

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--enable-keybinder \
		--enable-libnotify \
		--enable-wnck

execute_after_dh_auto_install:
	find debian/xfce4-pulseaudio-plugin -name '*.la' -delete

override_dh_installchangelogs:
	DEB_BUILD_OPTIONS=notrimdch dh_installchangelogs NEWS

override_dh_makeshlibs:
	dh_makeshlibs -X debian/xfce4-pulseaudio-plugin/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins/lib*-plugin.so

## xfce4-pulseaudio-plugin 0.4.9

=== debian/changelog ===
xfce4-pulseaudio-plugin (0.4.9-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 22 Dec 2024 07:03:02 -0800

xfce4-pulseaudio-plugin (0.4.9-1) unstable; urgency=medium

  * New upstream version 0.4.9
  * d/control: add build-dep on libxfce4windowing-0-dev 4.19
  * d/gbp.conf added

 -- Yves-Alexis Perez <corsac@debian.org>  Wed, 18 Dec 2024 21:13:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xfce4-pulseaudio-plugin
 Section: xfce
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Unit 193 <unit193@debian.org>,
@@ -11,13 +11,14 @@
                libexo-2-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               libwnck-3-dev,
                libkeybinder-3.0-dev,
                libnotify-dev,
                libpulse-dev,
+               libwnck-3-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
+               libxfce4windowing-0-dev (>= 4.19.6),
                libxfconf-0-dev,
                xfce4-dev-tools
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -24,3 +24,8 @@
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X debian/xfce4-pulseaudio-plugin/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins/lib*-plugin.so
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## xfce4-pulseaudio-plugin 0.5.1

=== meson_options.txt ===
option(
  'keybinder',
  type: 'feature',
  value: 'auto',
  description: 'keybinder support',
)

option(
  'libnotify',
  type: 'feature',
  value: 'auto',
  description: 'libnotify support',
)

option(
  'libcanberra',
  type: 'feature',
  value: 'auto',
  description: 'libcanberra support',
)

option(
  'libxfce4windowing',
  type: 'feature',
  value: 'auto',
  description: 'libxfce4windowing support',
)

option(
  'mpris2',
  type: 'feature',
  value: 'auto',
  description: 'mpris2 support',
)

option(
  'mixer-command',
  type: 'string',
  value: 'pavucontrol',
  description: 'Default mixer command',
)

=== debian/changelog ===
xfce4-pulseaudio-plugin (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * use meson buildsystem

 -- Yves-Alexis Perez <corsac@debian.org>  Sat, 04 Oct 2025 18:36:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xfce4-pulseaudio-plugin
 Section: xfce
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
+Maintainer: Debian Xfce Maintainers <debian-xfce@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Unit 193 <unit193@debian.org>,
            Sean Davis <sean@bluesabre.org>
@@ -11,15 +10,16 @@
                libexo-2-dev,
                libglib2.0-dev,
                libgtk-3-dev,
+               libwnck-3-dev,
                libkeybinder-3.0-dev,
                libnotify-dev,
                libpulse-dev,
-               libwnck-3-dev,
                libxfce4panel-2.0-dev,
                libxfce4ui-2-dev,
                libxfce4util-dev,
                libxfce4windowing-0-dev (>= 4.19.6),
                libxfconf-0-dev,
+               meson,
                xfce4-dev-tools
 Rules-Requires-Root: no
 Standards-Version: 4.6.2

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --buildsystem=meson

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dkeybinder=enabled \
		-Dlibnotify=enabled \
		-Dlibxfce4windowing=enabled

override_dh_makeshlibs:
	dh_makeshlibs -X debian/xfce4-pulseaudio-plugin/usr/lib/$(DEB_HOST_MULTIARCH)/xfce4/panel/plugins/lib*-plugin.so

=== debian/watch ===
version=4
https://archive.xfce.org/src/panel-plugins/@PACKAGE@/(\d[\d\.]+)/ \
	@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
